Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ccl.swing
Class OKCancelFocusManager

    java.lang.Object
      |
      +--java.awt.KeyboardFocusManager
            |
            +--java.awt.DefaultKeyboardFocusManager
                  |
                  +--javax.swing.FocusManager
                        |
                        +--javax.swing.DefaultFocusManager
                              |
                              +--ccl.swing.OKCancelFocusManager

All Implemented Interfaces:
  java.awt.KeyEventDispatcher, java.awt.KeyEventPostProcessor

public class OKCancelFocusManager
extends javax.swing.DefaultFocusManager

For an example how to use this see OKCancelPanel.

Field Summary

Fields inherited from class javax.swing.FocusManager
`FOCUS_MANAGER_CLASS_PROPERTY`

Fields inherited from class java.awt.KeyboardFocusManager
`BACKWARD_TRAVERSAL_KEYS, DOWN_CYCLE_TRAVERSAL_KEYS, FORWARD_TRAVERSAL_KEYS, UP_CYCLE_TRAVERSAL_KEYS`

Constructor Summary
`OKCancelFocusManager(javax.swing.JButton btnOK_, javax.swing.JButton btnCancel_)`

Method Summary
`void` | `processKeyEvent(java.awt.Component cmpFocused_, java.awt.event.KeyEvent pKeyEvent_)`

Methods inherited from class javax.swing.DefaultFocusManager
`compareTabOrder, getComponentAfter, getComponentBefore, getFirstComponent, getLastComponent`

Methods inherited from class javax.swing.FocusManager
`disableSwingFocusManager, getCurrentManager, isFocusManagerEnabled, setCurrentManager`

Methods inherited from class java.awt.DefaultKeyboardFocusManager
`dequeueKeyEvents, discardKeyEvents, dispatchEvent, dispatchKeyEvent, downFocusCycle, enqueueKeyEvents, focusNextComponent, focusPreviousComponent, postProcessKeyEvent, upFocusCycle`

Methods inherited from class java.awt.KeyboardFocusManager
`addKeyEventDispatcher, addKeyEventPostProcessor, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, clearGlobalFocusOwner, downFocusCycle, firePropertyChange, fireVetoableChange, focusNextComponent, focusPreviousComponent, getActiveWindow, getCurrentFocusCycleRoot, getCurrentKeyboardFocusManager, getDefaultFocusTraversalKeys, getDefaultFocusTraversalPolicy, getFocusedWindow, getFocusOwner, getGlobalActiveWindow, getGlobalCurrentFocusCycleRoot, getGlobalFocusedWindow, getGlobalFocusOwner, getGlobalPermanentFocusOwner, getKeyEventDispatchers, getKeyEventPostProcessors, getPermanentFocusOwner, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, redispatchEvent, removeKeyEventDispatcher, removeKeyEventPostProcessor, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener, setCurrentKeyboardFocusManager, setDefaultFocusTraversalKeys, setDefaultFocusTraversalPolicy, setGlobalActiveWindow, setGlobalCurrentFocusCycleRoot, setGlobalFocusedWindow, setGlobalFocusOwner, setGlobalPermanentFocusOwner, upFocusCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OKCancelFocusManager

    public OKCancelFocusManager(javax.swing.JButton btnOK_,
                                javax.swing.JButton btnCancel_)

Method Detail

### processKeyEvent

    public void processKeyEvent(java.awt.Component cmpFocused_,
                                java.awt.event.KeyEvent pKeyEvent_)

  Overrides:
    `processKeyEvent` in class `java.awt.DefaultKeyboardFocusManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD